agl

Program that creates PDB file with chosen agglomerate.

Usage
mm_agl -a FILE -i FILE -c X,Y,Z -o FILE [ -l FILE ] [ -q ] [ -h ]
Parametrs
-a FILE – input file with agglomerate
-i FILE – input trajectory file
-c X,Y,Z – cell size, A
-o FILE – output PDB file
-l FILE – print log to specified file
-q – do not print messages to STDOUT
-h – show this help and exit

File formats

Agglomerate file (*.agl)

- Agglomerate title (AGL=2=1.3.4.) (1 – number of molecules in the agglomerate, 1.3.4. – agglomerate class, if verification of isomorphism is specified).
- The enumeration of molecules in the agglomerate (0000001=2,3,4,5,) (1 – number of molecule (7 characters), equal sign, the enumeration of connected molecules separated by commas).

Trajectory file (*.pdb)

http://www.wwpdb.org/documentation/format33/sect9.html

Operation of the application

1. Reading titles of source files, setting values of initial variables.
2. Reading of source file.
3. Search for the best configuration.
4. Print the result to the file.

Working with GUI

1. Select Menu -> File creator -> Agglomerate file.
2. Set the file generated by statgen. Push "Select".
3. Select the trajectory file from the drop down list. Select the agglomerate.
4. Set the output file. Create file.
5. Go to the tab "Generate PDB". Select "From agglomerate" from the drop down list.
6. Set the work directory.
7. Set the input trajectory file.
8. Set the agglomerate file.
9. Set the cell size, A.
10. Set the output PDB file.
11. Set the log file if this needed.
12. Run application.